Update unclaimed property
curl --request PATCH \
--url https://api.example.com/v1/cases/{case_id}/unclaimed-property/{property_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"state": "<string>",
"holder_name": "<string>",
"reported_amount": 123,
"property_description": "<string>",
"owner_name_on_record": "<string>",
"claim_url": "<string>",
"required_documents": [],
"document_ids": [
"<string>"
],
"notes": "<string>"
}
'import requests
url = "https://api.example.com/v1/cases/{case_id}/unclaimed-property/{property_id}"
payload = {
"state": "<string>",
"holder_name": "<string>",
"reported_amount": 123,
"property_description": "<string>",
"owner_name_on_record": "<string>",
"claim_url": "<string>",
"required_documents": [],
"document_ids": ["<string>"],
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
state: '<string>',
holder_name: '<string>',
reported_amount: 123,
property_description: '<string>',
owner_name_on_record: '<string>',
claim_url: '<string>',
required_documents: [],
document_ids: ['<string>'],
notes: '<string>'
})
};
fetch('https://api.example.com/v1/cases/{case_id}/unclaimed-property/{property_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01K9UP01AJ0T66HRYE78AN7UUU",
"case_id": "<string>",
"property_type": "dormant_bank_account",
"holder_name": "State of Illinois",
"state": "IL",
"reported_amount": 1250,
"property_description": "Dormant checking account",
"owner_name_on_record": "JANE M DOE",
"claim_status": "discovered",
"claim_url": "<string>",
"claim_filed_date": "2023-12-25",
"claim_approved_date": "2023-12-25",
"claim_paid_amount": 123,
"required_documents": [],
"document_ids": [
"<string>"
],
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "validation_error",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"message": "Must be a valid email address."
}
]
}
}Unclaimed Property
Update unclaimed property
PATCH
/
cases
/
{case_id}
/
unclaimed-property
/
{property_id}
Update unclaimed property
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique case identifier (ULID format).
Body
application/json
Available options:
dormant_bank_account, uncashed_check, insurance_proceeds, utility_deposit, rental_deposit, safe_deposit_box, stocks_bonds, retirement_account, gift_card, insurance_refund, mineral_rights, wages, refund, other Required string length:
2Available options:
discovered, claim_filed, under_review, approved, paid, denied, expired Available options:
death_certificate, letters_testamentary, letters_of_administration, affidavit, government_id, proof_of_heirship Response
Record updated.
Show child attributes
Show child attributes
⌘I

